Mailinglist Archive: opensuse-factory (586 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20160808 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20160808

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
akonadi-calendar
akonadi-search
akonadi-server
bluedevil5 (5.7.0 -> 5.7.2)
breeze (5.7.0 -> 5.7.2)
breeze-gtk (5.7.0 -> 5.7.2)
breeze4-style (5.7.0 -> 5.7.2)
calendarsupport
cmake (3.6.0 -> 3.6.1)
eventviews
incidenceeditor
kactivitymanagerd (5.7.0 -> 5.7.2)
kcm_sddm (5.7.0 -> 5.7.2)
kde-cli-tools5 (5.7.0 -> 5.7.2)
kde-gtk-config5 (5.7.0 -> 5.7.2)
kde-user-manager (5.7.0 -> 5.7.2)
kdepim
kdepim-addons
kdepim-apps-libs
kdepim-runtime
kdepimlibs
khotkeys5 (5.7.0 -> 5.7.2)
kiconthemes
kinfocenter5 (5.7.0 -> 5.7.2)
kleopatra5
kmailtransport
kmbox
kmenuedit5 (5.7.0 -> 5.7.2)
kmime
kpimtextedit
kscreen5 (5.7.0 -> 5.7.2)
kscreenlocker (5.7.0 -> 5.7.2)
ksshaskpass5 (5.7.0 -> 5.7.2)
ksysguard5 (5.7.0 -> 5.7.2)
kwin5 (5.7.0 -> 5.7.2)
kwindowsystem
libgravatar
libkdcraw
libkdecoration2 (5.7.0 -> 5.7.2)
libkdepim
libkleo
libkolab-qt5
libkolabxml
libkscreen2 (5.7.0 -> 5.7.2)
libksieve
libksysguard5 (5.7.0 -> 5.7.2)
mailcommon
mailimporter
marble
messagelib
milou5 (5.7.0 -> 5.7.2)
oxygen5 (5.7.0 -> 5.7.2)
pimcommon
plasma-nm5 (5.7.0 -> 5.7.2)
plasma5-addons (5.7.0 -> 5.7.2)
plasma5-desktop (5.7.0 -> 5.7.2)
plasma5-integration (5.7.0 -> 5.7.2)
plasma5-openSUSE
plasma5-pa (5.7.0 -> 5.7.2)
plasma5-session (5.7.0 -> 5.7.2)
plasma5-workspace (5.7.0 -> 5.7.2)
polkit-kde-agent-5 (5.7.0 -> 5.7.2)
powerdevil5 (5.7.0 -> 5.7.2)
systemsettings5 (5.7.0 -> 5.7.2)

=== Details ===

==== akonadi-calendar ====

- Cleanup build requirements

==== akonadi-search ====
Subpackages: libKF5AkonadiSearch

- Cleanup/update build requirements and the requires of the devel
package

==== akonadi-server ====
Subpackages: libKF5AkonadiAgentBase5 libKF5AkonadiCore5 libKF5AkonadiWidgets5

- cmake 2.8.12 is necessary now
- Add necessary requirements to the devel package so that other
packages building against this don't have to specify them even
if they don't use them

==== bluedevil5 ====
Version update (5.7.0 -> 5.7.2)

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package
- Remove rpmlintrc file, it is not needed any more now

==== breeze ====
Version update (5.7.0 -> 5.7.2)
Subpackages: breeze5-cursors breeze5-decoration breeze5-style breeze5-wallpapers

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Add fdupes by recommendation of rpmlint
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package
- Remove rpmlintrc file, it is not needed any more now

==== breeze-gtk ====
Version update (5.7.0 -> 5.7.2)
Subpackages: gtk2-metatheme-breeze gtk3-metatheme-breeze metatheme-breeze-common

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php

==== breeze4-style ====
Version update (5.7.0 -> 5.7.2)

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php

==== calendarsupport ====
Subpackages: libKF5CalendarSupport5

- Cleanup the build requirements
- Add missing Requires to the devel package

==== cmake ====
Version update (3.6.0 -> 3.6.1)

- update to CMake 3.6.1
* CPack/RPM: Add missed CPACK_RPM_FILE_NAME fallback variable
* Restore find_(library|file|path) search of PATH itself
* Ninja: Do not force response files when no sysconf(3) limit is used
* CPack: Add compatibility for incorrect CPACK_INSTALL_CMAKE_PROJECTS value
* Autogen: Revert changes to generate moc/rcc in subdirectories
full changelog: https://blog.kitware.com/cmake-3-6-1-available-for-download/

==== eventviews ====
Subpackages: libKF5EventViews5

- Cleanup build requirements
- Add necessary requires to the devel package

==== incidenceeditor ====

- Cleanup build requirements
- Add necessary dependencies to the devel package

==== kactivitymanagerd ====
Version update (5.7.0 -> 5.7.2)

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php

==== kcm_sddm ====
Version update (5.7.0 -> 5.7.2)

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php

==== kde-cli-tools5 ====
Version update (5.7.0 -> 5.7.2)

- Add kdesu-Do-not-change-minimum-size.patch to prevent the
displayed command line text running into the password field
(boo#958785)
- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package
- Remove rpmlintrc file, it is not needed any more now

==== kde-gtk-config5 ====
Version update (5.7.0 -> 5.7.2)

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package
- Remove rpmlintrc file, it is not needed any more now

==== kde-user-manager ====
Version update (5.7.0 -> 5.7.2)

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Redo rpm group and summary
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package

==== kdepim ====
Subpackages: akonadi_resources akregator5 kaddressbook5 kalarm5 kmail5 knotes5
kontact5 korganizer5

- Cleanup/update build requirements

==== kdepim-addons ====

- Cleanup build requirements

==== kdepim-apps-libs ====

- Cleanup build requirements
- Add necessary requires to the devel package

==== kdepim-runtime ====

- Cleanup build requirements

==== kdepimlibs ====
Subpackages: akonadi-contact kio-pimlibs libKF5AkonadiContact5
libKF5AkonadiMime5 libKF5AkonadiNotes5

- Cleanup build requirements
- Update devel package dependencies

==== khotkeys5 ====
Version update (5.7.0 -> 5.7.2)
Subpackages: khotkeys5-devel

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package
- Remove rpmlintrc file, it is not needed any more now

==== kiconthemes ====
Subpackages: kiconthemes-devel libKF5IconThemes5

- Added 0001-KIconEngine-Fix-QIcon-hasThemeIcon-always-returning-.patch
from upstream

==== kinfocenter5 ====
Version update (5.7.0 -> 5.7.2)

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package
- Remove rpmlintrc file, it is not needed any more now

==== kleopatra5 ====

- Cleanup build requirements

==== kmailtransport ====

- Cleanup build requirements

==== kmbox ====

- Cleanup build requirements and the dependencies of the devel
package

==== kmenuedit5 ====
Version update (5.7.0 -> 5.7.2)

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package
- Remove rpmlintrc file, it is not needed any more now

==== kmime ====

- Clean up build requirements
- Remove dependency on kdelibs4support-devel from the devel package,
it's not needed

==== kpimtextedit ====

- Cleanup build requirements

==== kscreen5 ====
Version update (5.7.0 -> 5.7.2)

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package
- Remove rpmlintrc file, it is not needed any more now

==== kscreenlocker ====
Version update (5.7.0 -> 5.7.2)
Subpackages: libKScreenLocker5

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package

==== ksshaskpass5 ====
Version update (5.7.0 -> 5.7.2)

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package
- Remove rpmlintrc file, it is not needed any more now

==== ksysguard5 ====
Version update (5.7.0 -> 5.7.2)

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package
- Remove rpmlintrc file, it is not needed any more now

==== kwin5 ====
Version update (5.7.0 -> 5.7.2)
Subpackages: kwin5-devel

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package
- Remove rpmlintrc file, it is not needed any more now

==== kwindowsystem ====
Subpackages: kwindowsystem-devel libKF5WindowSystem5

- Add compositingchanged.patch from https://git.reviewboard.kde.org/r/128576/
to fix kde#362531

==== libgravatar ====
Subpackages: libKF5Gravatar5

- Cleanup build requirements

==== libkdcraw ====
Subpackages: libKF5KDcraw5 libkdcraw-devel

- Drop build requirements that are not needed any more
- Remove kdelibs4support-devel and threadweaver-devel requires from
the devel package, they are not used/needed in current versions

==== libkdecoration2 ====
Version update (5.7.0 -> 5.7.2)
Subpackages: libkdecoration2-devel libkdecorations2-5 libkdecorations2private5

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php

==== libkdepim ====
Subpackages: libKF5Libkdepim5

- Update build requirements
- Add necessary requires to the devel package

==== libkleo ====
Subpackages: libKF5Libkleo5

- Cleanup build requirements
- Require gpgmepp5-devel in the devel package

==== libkolab-qt5 ====

- Adjust build requirements
- Adjust requires of the devel package

==== libkolabxml ====

- Remove kdelibs4support-devel from the build requirements, it's
not needed

==== libkscreen2 ====
Version update (5.7.0 -> 5.7.2)
Subpackages: libKF5Screen7 libkscreen2-devel libkscreen2-plugin

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php

==== libksieve ====

- Cleanup build requirements

==== libksysguard5 ====
Version update (5.7.0 -> 5.7.2)
Subpackages: libksysguard5-devel libksysguard5-helper

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package
- Remove rpmlintrc file, it is not needed any more now

==== mailcommon ====
Subpackages: libKF5MailCommon5

- Cleanup build requirements
- Add necessary dependencies to the devel package

==== mailimporter ====

- Cleanup build requirements

==== marble ====
Subpackages: libastro1 libmarblewidget-qt5-24 marble-devel

- Drop illegal Obsoletes (this package does not provide said file)

==== messagelib ====

- Cleanup build requirements
- Add necessary dependencies to the devel package

==== milou5 ====
Version update (5.7.0 -> 5.7.2)

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package
- Remove rpmlintrc file, it is not needed any more now

==== oxygen5 ====
Version update (5.7.0 -> 5.7.2)
Subpackages: oxygen5-cursors oxygen5-decoration oxygen5-devel oxygen5-lang
oxygen5-sounds oxygen5-style

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package
- Remove rpmlintrc file, it is not needed any more now

==== pimcommon ====
Subpackages: libKF5PimCommon5

- Cleanup build requires
- Add necessary requirements to the devel package so that other
packages building against this don't have to specify them even
if they don't use them

==== plasma-nm5 ====
Version update (5.7.0 -> 5.7.2)
Subpackages: plasma-nm5-openconnect plasma-nm5-openvpn plasma-nm5-pptp
plasma-nm5-vpnc

- Update descriptions
- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package
- Remove rpmlintrc file, it is not needed any more now

==== plasma5-addons ====
Version update (5.7.0 -> 5.7.2)

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package
- Remove rpmlintrc file, it is not needed any more now

==== plasma5-desktop ====
Version update (5.7.0 -> 5.7.2)

- Run fdupes to soothe rpmlint
- Added patches from upstream:
0001-don-t-create-activities-by-ourselves.patch
0002-use-desktopsForActivty-currentActivity.patch
and 0003-correct-typo.patch
- Added loop-trough-screens-only-once.patch from upstream
- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package
- Remove rpmlintrc file, it is not needed any more now

==== plasma5-integration ====
Version update (5.7.0 -> 5.7.2)

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php

==== plasma5-openSUSE ====
Subpackages: plasma5-desktop-branding-openSUSE
plasma5-workspace-branding-openSUSE

- Update plasma-change-defaults.diff to latest upstream code
- Update plasma-change-defaults.diff to latest upstream code
- Bump Plasma (Build)Requires to 5.7.2
- Supply default plasmoidscript for systray icon size
- Bump Plasma (Build)Requires to 5.7.1

==== plasma5-pa ====
Version update (5.7.0 -> 5.7.2)

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package

==== plasma5-session ====
Version update (5.7.0 -> 5.7.2)

- Bump to 5.7.2
- Bump to 5.7.1

==== plasma5-workspace ====
Version update (5.7.0 -> 5.7.2)
Subpackages: drkonqi5 plasma5-workspace-devel plasma5-workspace-libs

- Added fix-breeze-sddm-theme-with-many-users.patch again.
This is still needed since upstream dropped the planned changes
on the login breeze theme from the 5.7 release.
- Add 0001-Workaround-kde-362531.patch as a workaround for
kde#362531
- Remove 0005-Missing-method-for-activity-deletion-from-plasma-scr.patch
Not only unnecessary, but also reverted by later patch.
- Added patches from upstream:
0002-don-t-try-to-load-layout-before-kamd-starts.patch
0005-Missing-method-for-activity-deletion-from-plasma-scr.patch
0006-Treat-IsDemandingAttention-as-IsOnAllVirtualDesktops.patch
0007-apparently-containment-can-be-null.patch
0010-Properly-registering-existing-activities-before-load.patch
0001-check-harder-to-include-only-desktops-in-desktops.patch
- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Added Configuration-option-for-System-Tray-icon-size.patch from
upstream
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package
- Remove rpmlintrc file, it is not needed any more now

==== polkit-kde-agent-5 ====
Version update (5.7.0 -> 5.7.2)

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php

==== powerdevil5 ====
Version update (5.7.0 -> 5.7.2)

- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package
- Remove rpmlintrc file, it is not needed any more now

==== systemsettings5 ====
Version update (5.7.0 -> 5.7.2)
Subpackages: systemsettings5-devel

- Re-set rpm group
- Update to 5.7.2
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.2.php
- Update to 5.7.1
* New bugfix release
* For more details please see:
https://www.kde.org/announcements/plasma-5.7.1.php
- Use the new %kf5_find_lang macro to create the file list for the
lang package
- Remove rpmlintrc file, it is not needed any more now

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages